(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      4584,        123]
NotebookOptionsPosition[      4152,        102]
NotebookOutlinePosition[      4490,        117]
CellTagsIndexPosition[      4447,        114]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, 3.600685373189396*^9}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\[IndentingNewLine]", 
 RowBox[{"port", "=", "4223"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<ABC\>\""}], 
  RowBox[{"(*", " ", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"gps", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{"\"\<Tinkerforge.BrickletGPS\>\"", ",", "uid", ",", "ipcon"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"latitude", "=", "0"}], ";", 
   RowBox[{"longitude", "=", "0"}], ";", 
   RowBox[{"ns", "=", "0"}], ";", 
   RowBox[{"ew", "=", "0"}], ";", 
   RowBox[{"pdop", "=", "0"}], ";", 
   RowBox[{"hdop", "=", "0"}], ";", 
   RowBox[{"vdop", "=", "0"}], ";", 
   RowBox[{"epe", "=", "0"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  
  RowBox[{"(*", " ", 
   RowBox[{"Get", " ", "current", " ", "coordinates"}], " ", "*)"}]}], "\n", 
 RowBox[{"gps", "@", 
  RowBox[{"GetCoordinates", "[", 
   RowBox[{
   "latitude", ",", "ns", ",", "longitude", ",", "ew", ",", "pdop", ",", 
    "hdop", ",", "vdop", ",", "epe"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Latitude: \>\"", "<>", 
   RowBox[{"ToString", "[", 
    RowBox[{"N", "[", 
     RowBox[{"Quantity", "[", 
      RowBox[{"latitude", ",", "\"\<\[Degree]/1000000\>\""}], "]"}], "]"}], 
    "]"}], "<>", "\"\< \>\"", "<>", 
   RowBox[{"FromCharacterCode", "[", "ns", "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Longitude: \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"N", "[", 
      RowBox[{"Quantity", "[", 
       RowBox[{"longitude", ",", "\"\<\[Degree]/1000000\>\""}], "]"}], "]"}], 
     "]"}], "<>", "\"\< \>\"", "<>", 
    RowBox[{"FromCharacterCode", "[", "ew", "]"}]}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Clean", " ", "up"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "gps", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzU0ogwEcBvC15DsuPpayWOSwiM0c1ti0sh18JW0rq2m+3trM0HCwkxsa
G2FmssNabhIZsVrLysrnMizMkbfZQUYr5H3ew79fPfU8/3LtSNcAk8FglFIH
rzQf9fYbsrlWyxNAS1tUAyvfzrXQ/2cdgvLY9hh86hROQg5XbINp6fcbkB/n
O+EOu3B6nXLOPU47uBiZof0kaXVeV3yLMu/w4B3G7LlJuKknv6HCpv6Br3cE
bd2qh+NCznZUQAMrjQuT1YoaSMhJAQw6UrTPm2YbNPpkS1BZbJee4L/0vh3K
nBcKyHtUq+DK7KwoQNlmvWqChmQZI4Q9ryYf2i19RXD/N4sFM4aFD0SY6ikL
ojAkPiahfveWNph9tKyjJBM+B+TGM92QeFnzQElqqsdJKdqT9MOFqhIjNBMd
tEJTqwmeqXppc9a+ruHWfDAC2ZeN3aeULRN+HWR6wyMwEWgYhf+Rbw3Q
  "]]
},
WindowSize->{1521, 867},
WindowMargins->{{250, Automatic}, {61, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 602, 11, 55, "Input"],
Cell[1005, 26, 3143, 74, 451, "Input"]
}
]
*)

